Skip to main content
POST
/
discovery
/
{discoveryId}
/
products
Add products to selection
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/buyer/discovery/{discoveryId}/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "products": [
    {
      "productId": "product_123",
      "salesAgentId": "agent_456",
      "groupId": "ctx_123-group-0",
      "groupName": "Publisher Name",
      "cpm": 12.5,
      "budget": 5000,
      "pricingOptionId": "po_abc123"
    }
  ]
}
'
{
  "discoveryId": "<string>",
  "products": [
    {
      "productId": "<string>",
      "salesAgentId": "<string>",
      "selectedAt": "<string>",
      "groupId": "<string>",
      "groupName": "<string>",
      "cpm": 123,
      "budget": 123
    }
  ],
  "totalProducts": 0,
  "budgetContext": {
    "sessionBudget": 123,
    "allocatedBudget": 123,
    "remainingBudget": 123,
    "budgetWarning": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

discoveryId
string
required

Discovery ID

Minimum string length: 1
Example:

"abc123-def456-ghi789"

Body

application/json

Request to add products to a discovery session

products
object[]
required

Products to add to the selection

Minimum array length: 1
replace
boolean

When true, replaces all existing products instead of merging

Response

Add products to selection

Response containing selected products

discoveryId
string
required

Discovery ID

products
object[]
required

Selected products in the discovery session

totalProducts
integer
required

Total number of selected products

Required range: -9007199254740991 <= x <= 9007199254740991
budgetContext
object

Budget allocation context